
Foreman - Bug #2848

Error when try to create new Host Group

07/26/2013 06:01 PM - Nikolay Georgieff

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm not able to create a new host group:

Oops, we're sorry but something went wrong

x undefined local variable or method `freeip_subnets_path' for #<#<Class:0x007fe5b91c34e0>:0x007fe5b8d20e60>

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to

attach the Full trace and relevant log entries.

NameError

undefined local variable or method `freeip_subnets_path' for #<#<Class:0x007fe5b91c34e0>:0x007fe5b8d20e60>

app/views/common/_domain.html.erb:4:in `block in app_views_common

_domain_html_erb__1242807342534462145_70312311419900'

app/views/common/_domain.html.erb:1:in `_app_views_common__domain_html_erb__1242807342534462145_70312311419900'

app/views/common/_domain_subnet.html.erb:7:in `block in app_views_common

_domain_subnet_html_erb___4555965924254477768_70312312217860'

app/views/common/_domain_subnet.html.erb:1:in

`_app_views_common__domain_subnet_html_erb___4555965924254477768_70312312217860'

app/views/hostgroups/_form.html.erb:43:in `block in app_views_hostgroups

_form_html_erb__4008013229379639853_70312312494800'

app/helpers/layout_helper.rb:211:in `form_for'

app/views/hostgroups/_form.html.erb:2:in `_app_views_hostgroups__form_html_erb__4008013229379639853_70312312494800'

app/views/hostgroups/new.html.erb:3:in `_app_views_hostgroups_new_html_erb__130460783755124437_70312312503660'

lib/foreman/thread_session.rb:31:in `clear_thread'

Foreman Version 1.2.0

Related issues:

Is duplicate of Foreman - Bug #2373: 'freeip_subnets_path' error when creatin... Closed 04/04/2013

History

#1 - 07/26/2013 06:04 PM - Nikolay Georgieff

The same when I try to edit an existing group:

https://*************************.ucla.edu/hostgroups/21-tomcat/edit

Oops, we're sorry but something went wrong

x undefined local variable or method `freeip_subnets_path' for #<#<Class:0x007fe5b91c34e0>:0x007fe5b8db10f0>

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to attach the Full

trace and relevant log entries.

NameError

undefined local variable or method `freeip_subnets_path' for #<#<Class:0x007fe5b91c34e0>:0x007fe5b8db10f0>

app/views/common/_domain.html.erb:4:in `block in app_views_common_domain_html_erb__1242807342534462145_70312311419900'

app/views/common/_domain.html.erb:1:in `_app_views_common__domain_html_erb__1242807342534462145_70312311419900'

app/views/common/_domain_subnet.html.erb:7:in `block in app_views_common

_domain_subnet_html_erb___4555965924254477768_70312312217860'

app/views/common/_domain_subnet.html.erb:1:in `_app_views_common__domain_subnet_html_erb___4555965924254477768_70312312217860'

app/views/hostgroups/_form.html.erb:43:in `block in app_views_hostgroups_form_html_erb__4008013229379639853_70312312494800'
https://*************************.ucla.edu/hostgroups/21-tomcat/edit


app/helpers/layout_helper.rb:211:in `form_for'

app/views/hostgroups/_form.html.erb:2:in `_app_views_hostgroups__form_html_erb__4008013229379639853_70312312494800'

app/views/hostgroups/edit.html.erb:3:in `_app_views_hostgroups_edit_html_erb___124774525886768503_70312312798720'

lib/foreman/thread_session.rb:31:in `clear_thread'

#2 - 07/29/2013 03:02 AM - Dominic Cleal

- Status changed from New to Duplicate

Dupe of #2373, thanks for the report.
